Package weka.knowledgeflow.steps

# Class AttributeSummarizer

java.lang.Object
weka.knowledgeflow.steps.BaseStep
weka.knowledgeflow.steps.BaseSimpleDataVisualizer
weka.knowledgeflow.steps.AttributeSummarizer

All Implemented Interfaces:
  `Serializable`, `BaseStepExtender`, `DataCollector`, `Step`

@KFStep(name="AttributeSummarizer", category="Visualization", toolTipText="Visualize datasets in a matrix of histograms", iconPath="weka/gui/knowledgeflow/icons/AttributeSummarizer.gif") public class AttributeSummarizer extends BaseSimpleDataVisualizer
Step that collects data to display in a summary overview of attribute distributions

Version:
  $Revision: $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttributeSummarizer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCustomEditorForStep()`
  Get the fully qualified class name of the custom editor for this step
  `Map<String,String>`
  `getInteractiveViewers()`
  Get a map of popup viewers that can be used with this step
  `String`
  `getOffscreenAdditionalOpts()`
  Get the additional options for the offscreen renderer
  `String`
  `getOffscreenHeight()`
  Get the height (in pixels) of the offscreen image to generate
  `String`
  `getOffscreenRendererName()`
  Get the name of the renderer to use for offscreen chart rendering operations
  `String`
  `getOffscreenWidth()`
  Get the width (in pixels) of the offscreen image to generate.
  `String`
  `getOffscreenXAxis()`
  Get the name of the attribute for the x-axis in offscreen plots
  `List<String>`
  `getOutgoingConnectionTypes()`
  Get a list of outgoing connections that this step can produce at this time
  `void`
  `processIncoming(Data data)`
  Process incoming data
  `void`
  `setOffscreenAdditionalOpts(String additional)`
  Set the additional options for the offscreen renderer
  `void`
  `setOffscreenHeight(String height)`
  Set the height (in pixels) of the offscreen image to generate
  `void`
  `setOffscreenRendererName(String rendererName)`
  Set the name of the renderer to use for offscreen chart rendering operations
  `void`
  `setOffscreenWidth(String width)`
  Set the width (in pixels) of the offscreen image to generate.
  `void`
  `setOffscreenXAxis(String xAxis)`
  Set the name of the attribute for the x-axis in offscreen plots.

  ### Methods inherited from class weka.knowledgeflow.steps.BaseSimpleDataVisualizer

  `getDatasets, getIncomingConnectionTypes, restoreData, retrieveData, stepInit`

  ### Methods inherited from class weka.knowledgeflow.steps.BaseStep

  `environmentSubstitute, getDefaultSettings, getInteractiveViewersImpls, getName, getStepManager, globalInfo, isResourceIntensive, isStopRequested, outputStructureForConnectionType, outputStructureForConnectionType, setName, setStepIsResourceIntensive, setStepManager, setStepMustRunSingleThreaded, start, stepMustRunSingleThreaded, stop`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AttributeSummarizer

    public AttributeSummarizer()

- ## Method Details

  - ### setOffscreenXAxis

    @OptionMetadata(displayName="X-axis attribute", description="Attribute name or /first, /last or /<index>", displayOrder=1) public void setOffscreenXAxis(String xAxis)
    Set the name of the attribute for the x-axis in offscreen plots. This defaults to "False Positive Rate" for threshold curves if not specified.
    Parameters:
      `xAxis` - the name of the xAxis

  - ### getOffscreenXAxis

    public String getOffscreenXAxis()
    Get the name of the attribute for the x-axis in offscreen plots
    Returns:
      the name of the xAxis

  - ### setOffscreenWidth

    @OptionMetadata(displayName="Chart width (pixels)", description="Width of the rendered chart", displayOrder=2) public void setOffscreenWidth(String width)
    Set the width (in pixels) of the offscreen image to generate.
    Parameters:
      `width` - the width in pixels.

  - ### getOffscreenWidth

    public String getOffscreenWidth()
    Get the width (in pixels) of the offscreen image to generate.
    Returns:
      the width in pixels.

  - ### setOffscreenHeight

    @OptionMetadata(displayName="Chart height (pixels)", description="Height of the rendered chart", displayOrder=3) public void setOffscreenHeight(String height)
    Set the height (in pixels) of the offscreen image to generate
    Parameters:
      `height` - the height in pixels

  - ### getOffscreenHeight

    public String getOffscreenHeight()
    Get the height (in pixels) of the offscreen image to generate
    Returns:
      the height in pixels

  - ### setOffscreenRendererName

    @ProgrammaticProperty public void setOffscreenRendererName(String rendererName)
    Set the name of the renderer to use for offscreen chart rendering operations
    Parameters:
      `rendererName` - the name of the renderer to use

  - ### getOffscreenRendererName

    public String getOffscreenRendererName()
    Get the name of the renderer to use for offscreen chart rendering operations
    Returns:
      the name of the renderer to use

  - ### setOffscreenAdditionalOpts

    @ProgrammaticProperty public void setOffscreenAdditionalOpts(String additional)
    Set the additional options for the offscreen renderer
    Parameters:
      `additional` - additional options

  - ### getOffscreenAdditionalOpts

    public String getOffscreenAdditionalOpts()
    Get the additional options for the offscreen renderer
    Returns:
      the additional options

  - ### processIncoming

    public void processIncoming(Data data)
    Process incoming data
    Specified by:
      `processIncoming` in interface `BaseStepExtender`
    Specified by:
      `processIncoming` in interface `Step`
    Overrides:
      `processIncoming` in class `BaseSimpleDataVisualizer`
    Parameters:
      `data` - the data to process

  - ### getInteractiveViewers

    public Map<String,String> getInteractiveViewers()
    Get a map of popup viewers that can be used with this step
    Specified by:
      `getInteractiveViewers` in interface `Step`
    Overrides:
      `getInteractiveViewers` in class `BaseStep`
    Returns:
      a map of popup viewers

  - ### getOutgoingConnectionTypes

    public List<String> getOutgoingConnectionTypes()
    Get a list of outgoing connections that this step can produce at this time
    Specified by:
      `getOutgoingConnectionTypes` in interface `BaseStepExtender`
    Specified by:
      `getOutgoingConnectionTypes` in interface `Step`
    Overrides:
      `getOutgoingConnectionTypes` in class `BaseSimpleDataVisualizer`
    Returns:
      a list of outgoing connection types

  - ### getCustomEditorForStep

    public String getCustomEditorForStep()
    Get the fully qualified class name of the custom editor for this step
    Specified by:
      `getCustomEditorForStep` in interface `Step`
    Overrides:
      `getCustomEditorForStep` in class `BaseStep`
    Returns:
      the class name of the custom editor for this step